Update Channel Order Settings
Updates order settings for a specific channel.
Note: You must override both notifications email_addresses or neither, i.e. either both notification email_addresses are an array of valid email addresses, or both email_addresses must be null. You may not have one set to an array of addresses and the other set to null.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
channel_id
Channel ID
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Request
This endpoint expects an object.
notifications
Channel notification settings.
Response
OK
notifications
Channel notification settings.
meta
Response metadata.
Errors
400
Bad Request Error
422
Unprocessable Entity Error